<?php
/**
* @version 1.0.0
* @package RSEvents! 1.0.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

$db = JFactory::getDBO();
$db->setQuery("SELECT * FROM `#__rsevents_config`");
$rseventsConfigDb = $db->loadObjectList();

foreach ($rseventsConfigDb as $objConfig)
	$rseventsConfig[$objConfig->ConfigName] = $objConfig->ConfigValue;
global $mainframe;
$mainframe->setUserState('rseventsConfig',$rseventsConfig);

// get helper
require_once (dirname(__FILE__).DS.'helper.php');
$lang =& JFactory::getLanguage();
$lang->load('com_rsevents');
$list = modRseventsHelper::getList($params);

require(JModuleHelper::getLayoutPath('mod_rsevents_upcoming'));